Activate a device with a license key
POST
/v1/licensing/activate
const url = 'https://api.extport.dev/api/v1/licensing/activate';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"code":"example","extensionId":"example","fingerprint":"example","deviceInfo":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.extport.dev/api/v1/licensing/activate \ --header 'Content-Type: application/json' \ --data '{ "code": "example", "extensionId": "example", "fingerprint": "example", "deviceInfo": "example" }'Public endpoint called by the extension itself (via @extport/sdk). Idempotent for an already-activated fingerprint.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
code
required
string
extensionId
required
string
fingerprint
required
string
deviceInfo
Examplegenerated
{ "code": "example", "extensionId": "example", "fingerprint": "example", "deviceInfo": "example"}Responses
Section titled “Responses”Result (success flag in body)
Licensing not enabled